MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028932Open CASCADE[OCCT] OCCT:Configurationpublic2017-07-21 10:052017-09-04 18:22
Reporteroan 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version 
Summary0028932: Add possibility to install Eigen along the OCCT
DescriptionIt is suggested to add possibility to install Eigen headers to %OCCT_INSTALL_DIR%/inc folder in case if Eigen is used. INSTALL_EIGEN variable should be added to CMakeLists.txt. This will help to eliminate necessity of tricky specification of path to Eigen in case if OCCT is used as 3rd-party product through CMake.
Steps To ReproduceConfigure OCCT using CMake with USE_EIGEN and INSTALL_EIGEN options
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0028197verifiedapn Configuration - support Eigen template library as external dependency 

-  Notes
(0069849)
git (administrator)
2017-08-24 16:57

Branch CR28932 has been created by ski.

SHA-1: 3f122fbe4c985859d6f06ebedf3d1ecc88a9d057


Detailed log of new commits:

Author: ski
Date: Thu Aug 24 13:55:52 2017 +0300

    0028932: Add possibility to install Eigen along the OCCT
    
    Added installation of Eigen.
(0069851)
ski (developer)
2017-08-24 17:03

Dear oan,

I have prepared OCCT branch CR28932 and PRODUCTS branch CR28932.

Is it necessary to apply patch on PRODUCTS CMake functionality?
(0069992)
git (administrator)
2017-08-28 16:42

Branch CR28932 has been updated forcibly by ski.

SHA-1: 81a50861fe3abc2844248143c42444876a25c5c8
(0069996)
ski (developer)
2017-08-28 16:45

Dear ibs,

please review occt branch CR28932 and products branch CR28932.
(0070052)
ibs (developer)
2017-08-29 14:38

dear bugmaster, there are no remarks
(0070094)
git (administrator)
2017-08-30 12:20

Branch CR28932 has been updated by ski.

SHA-1: 45cdc1a98e5a9464ce692c746992efaffcfa5494


Detailed log of new commits:

Author: ski
Date: Mon Aug 28 16:16:37 2017 +0300

    Fixed wrong "if" statement.

(0070096)
git (administrator)
2017-08-30 12:32

Branch CR28932 has been updated forcibly by ski.

SHA-1: fc743983b1cbcfe49d7793cb6f05966cb465ee0a
(0070188)
git (administrator)
2017-09-04 18:20

Branch CR28932 has been deleted by kgv.

SHA-1: fc743983b1cbcfe49d7793cb6f05966cb465ee0a

- Related Changesets
occt: master 7d7a3e84
Timestamp: 2017-08-24 10:55:52
Author: ski
Committer: bugmaster
Details ] Diff ]
0028932: Add possibility to install Eigen along the OCCT

Added installation of Eigen.
mod - adm/cmake/eigen.cmake Diff ] File ]
mod - adm/cmake/vardescr.cmake Diff ] File ]
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-07-21 10:05 oan New Issue
2017-07-21 10:05 oan Assigned To => bugmaster
2017-07-21 10:05 oan Relationship added child of 0028197
2017-08-07 10:39 bugmaster Assigned To bugmaster => apn
2017-08-07 10:39 bugmaster Status new => feedback
2017-08-07 11:10 apn Target Version 7.2.1 => 7.2.0
2017-08-24 16:57 git Note Added: 0069849
2017-08-24 16:57 ski Assigned To apn => ski
2017-08-24 16:57 ski Status feedback => assigned
2017-08-24 17:03 ski Note Added: 0069851
2017-08-24 17:03 ski Assigned To ski => oan
2017-08-24 17:03 ski Status assigned => feedback
2017-08-28 16:42 git Note Added: 0069992
2017-08-28 16:45 ski Note Added: 0069996
2017-08-28 16:45 ski Assigned To oan => ibs
2017-08-28 16:45 ski Status feedback => resolved
2017-08-28 16:45 ski Steps to Reproduce Updated View Revisions
2017-08-29 14:38 ibs Note Added: 0070052
2017-08-29 14:38 ibs Assigned To ibs => bugmaster
2017-08-29 14:38 ibs Status resolved => reviewed
2017-08-29 15:45 bugmaster Status reviewed => tested
2017-08-29 18:06 bugmaster Test case number => Not required
2017-08-30 12:20 git Note Added: 0070094
2017-08-30 12:32 git Note Added: 0070096
2017-08-31 18:37 bugmaster Changeset attached => occt master 7d7a3e84
2017-08-31 18:37 bugmaster Status tested => verified
2017-08-31 18:37 bugmaster Resolution open => fixed
2017-09-04 18:20 git Note Added: 0070188


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker